Bug 1277343 - (CVE-2015-7188) CVE-2015-7188 Mozilla: Trailing whitespace in IP address hostnames can bypass same-origin policy (MFSA 2015-122)
CVE-2015-7188 Mozilla: Trailing whitespace in IP address hostnames can bypass...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151104,repor...
: Security
Depends On:
Blocks: 1275590
  Show dependency treegraph
 
Reported: 2015-11-03 00:49 EST by Huzaifa S. Sidhpurwala
Modified: 2016-01-22 09:58 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-24 02:32:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2015-11-03 00:49:47 EST
Security researcher Michał Bentkowski reported that adding white-space characters to hostnames that are IP addresses can bypass same-origin policy. This flaw was caused by trailing whitespaces being evaluated differently when parsing IP addresses instead of alphanumeric hostnames. This could lead to a cross-site script (XSS) attack.


External Reference:

https://www.mozilla.org/security/announce/2015/mfsa2015-122.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Michał Bentkowski as the original reporter.
Comment 1 errata-xmlrpc 2015-11-04 07:11:50 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2015:1982 https://rhn.redhat.com/errata/RHSA-2015-1982.html

Note You need to log in before you can comment on or make changes to this bug.